com.smartxls

## Class ShapeObj

- java.lang.Object
- - com.smartxls.ShapeObj

- Direct Known Subclasses:
    AutoShape, ChartShape, FormControlShape, PictureShape

      public class ShapeObj
      extends java.lang.Object

  This class is base class of drawing Format.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getBottom()` bottom edge
    `ShapeFormat` | `getFormat()` Returns the Format object associated with this shape.
    `double` | `getLeft()` left edge
    `java.lang.String` | `getName()` get the shape name
    `ShapePos` | `getPos()` get the shape position
    `double` | `getRight()` right edge
    `double` | `getTop()` top edge
    `void` | `setAutoLayoutDirection(boolean leftToRight)`
    `void` | `setFormat(ShapeFormat format)` Sets the Format for this shape.
    `void` | `setName(java.lang.String name)` set the shape name
    `void` | `setPosition(double x1, double y1, double x2, double y2)` set the shape position

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getFormat

          public ShapeFormat getFormat()
                                throws java.lang.Exception

      Returns the Format object associated with this shape.
      Returns:
        shape format.
      Throws:
        `java.lang.Exception` - exception

    - #### setFormat

          public void setFormat(ShapeFormat format)

      Sets the Format for this shape.

    - #### getLeft

          public double getLeft()

      left edge
      Returns:
        left

    - #### getRight

          public double getRight()

      right edge
      Returns:
        right

    - #### getTop

          public double getTop()

      top edge
      Returns:
        top

    - #### getBottom

          public double getBottom()

      bottom edge
      Returns:
        bottom

    - #### setPosition

          public void setPosition(double x1,
                                  double y1,
                                  double x2,
                                  double y2)
                           throws java.lang.Exception

      set the shape position
      Parameters:
        `x1` - left position
        `y1` - top position
        `x2` - right position
        `y2` - bottom position
      Throws:
        `java.lang.Exception` - exception

    - #### setAutoLayoutDirection

          public void setAutoLayoutDirection(boolean leftToRight)
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPos

          public ShapePos getPos()

      get the shape position
      Returns:
        shape position

    - #### getName

          public java.lang.String getName()

      get the shape name
      Returns:
        shape name

    - #### setName

          public void setName(java.lang.String name)

      set the shape name
      Parameters:
        `name` - shape name